/* FONTS */

@font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url('/fonts/montserrat-latin.woff2') format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Montserrat';
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url('/fonts/montserrat-latin-italic.woff2') format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* GLOBAL MUDBLAZOR OVERRIDES */

/* Override the default MudContainer max width. */
.mud-container-maxwidth-lg {
    max-width: 1440px;
}

/* CUSTOM UTILITY CLASSES */

.list-unstyled {
    list-style: none !important;
}

.text-decoration-underline {
    text-decoration: underline !important;
}

.fw-500 {
    font-weight: 500 !important
}

.fw-700 {
    font-weight: 700 !important;
}

.uppercase {
    text-transform: uppercase !important;
}

.text-center {
    text-align: center;
}

/* COPY COMPONENT */

.copy {
    display: inline-flex;
    position: relative;
}

.copy-tooltip {
    animation: copy-tooltip 2s ease forwards;
    background: #2B2B2B;
    border-radius: 12px;
    color: #FFFFFF;
    font-size: 14px;
    font-weight: 500;
    height: 24px;
    left: 50%;
    line-height: 24px;
    padding: 0 8px;
    pointer-events: none;
    position: absolute;
    top: -28px;
    translate: -50% 0;
}

@keyframes copy-tooltip {
    0% {
        opacity: 0;
        translate: -50% 4px;
    }

    15% {
        opacity: 1;
        translate: -50% 0;
    }

    75% {
        opacity: 1;
        translate: -50% 0;
    }

    100% {
        opacity: 0;
        translate: -50% -4px;
    }
}

.icon {
    display: inline-flex;
    fill: currentColor;
    height: 1em;
    width: auto;
}

.icon-1\.25x {
    height: 1.25em;
}

.icon-2x {
    height: 2em;
}

/* HACKS */

/* 
    MudBlazor indents MudSelect popovers by a minimum of 24px. MudContainer uses horizontal padding 
    of 16px below 600px media width. It looks weird. This fixes it for specific instances of MudSelect.
*/ 
@media (max-width: 599px) {
    .popover-margin-fix {
        left: 16px !important;
    }
}
